from django.conf.urls import url
from . import views

urlpatterns = [
    url(r'^$', views.homepage, name='homepage'),
    url(r'^iframe/(?P<encodedurl>.+)$', views.iframe, name='iframe'),
    url(r'^setup/(?P<encodedurl>.+)$', views.setup, name='setup'),
    url(r'^newfeed$', views.newfeed, name='newfeed'),
    url(r'^feeds$', views.feeds, name='feeds'),
    url(r'^feeds/delete/(?P<id>[0-9]+)$', views.feed_delete, name='feed_delete'),
    url(r'^(?P<uurl>.+).rss$', views.rss, name='rss'),
]